# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		simpleconvert
Version:	3.0
Release:	alt1_4
Summary:	Cross platform application to convert multiple files to another filetype
License:	GPLv3+
Group:		Video
URL:		https://github.com/bartkessels/simpleconvert
Source0:	https://github.com/bartkessels/simpleconvert/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		simpleconvert-3.0-add-GPLv3-license.patch
Patch1:		simpleconvert-3.0-mga-desktop-file.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)

Requires:	ffmpeg ffplay ffprobe
Source44: import.info

%description
SimpleConvert is a small application to convert video and/or audio
files to any filetype using ffmpeg. This application aims to provide
an easy to understand interface so everyone will be able to use the
power of ffmpeg.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%qmake_qt5 PREFIX=%{_prefix}

%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc readme.md
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/applications/net.bartkessels.%{name}.desktop
%{_datadir}/appdata/net.bartkessels.%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/net.bartkessels.%{name}.png
%{_iconsdir}/hicolor/scalable/apps/net.bartkessels.%{name}.svg


%changelog
* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_4
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_2
- update by mgaimport

* Thu Jun 07 2018 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_1
- new version

